SoNotList Class Reference
Miscellaneous Classes

The SoNotList class is a list of SoNotRec notification records. More...

`#include <Inventor/misc/SoNotification.h>`

## Public Member Functions

| SoNotList (void)
| SoNotList (const SoNotList *nl)
void | append (SoNotRec *const rec)
void | append (SoNotRec *const rec, SoField *const field)
void | append (SoNotRec *const rec, SoEngineOutput *const engineout)
void | setLastType (const SoNotRec::Type type)
SoNotRec * | getFirstRec (void) const
SoNotRec * | getLastRec (void) const
SoNotRec * | getFirstRecAtNode (void) const
SoField * | getLastField (void) const
SoEngineOutput * | getLastEngineOutput (void) const
SbUniqueId | getTimeStamp (void) const
void | print (FILE *const file=stdout) const

## Detailed Description

The SoNotList class is a list of SoNotRec notification records.

## Constructor & Destructor Documentation

## SoNotList() [1/2]

SoNotList::SoNotList | ( | void |  | ) |

Initialize list.

## SoNotList() [2/2]

SoNotList::SoNotList | ( | const SoNotList * | nl | ) |

Copy constructor. Does a bitwise copy of the nl object (no duplication of list elements).

## Member Function Documentation

## append() [1/3]

void SoNotList::append | ( | SoNotRec *const | rec | ) |

Append rec notification source to the list.

## append() [2/3]

void SoNotList::append | ( | SoNotRec *const | rec,
|  | SoField *const | field )

Append rec notification source to the list, setting field as the last field having been influenced by the notification process.

## append() [3/3]

void SoNotList::append | ( | SoNotRec *const | rec,
|  | SoEngineOutput *const | engineout )

Append rec notification source to the list, setting engineout as the last engine output field having been influenced by the notification process.

## setLastType()

void SoNotList::setLastType | ( | const SoNotRec::Type | type | ) |

Set the type of the last notification record in the list.

## getFirstRec()

SoNotRec * SoNotList::getFirstRec | ( | void |  | ) | const

Returns the first record in the list.

## getLastRec()

SoNotRec * SoNotList::getLastRec | ( | void |  | ) | const

Returns the last record in the list.

## getFirstRecAtNode()

SoNotRec * SoNotList::getFirstRecAtNode | ( | void |  | ) | const

Returns the first record in the list which is derived from SoBase.

## getLastField()

SoField * SoNotList::getLastField | ( | void |  | ) | const

Returns the last field touched by notification.

## getLastEngineOutput()

SoEngineOutput * SoNotList::getLastEngineOutput | ( | void |  | ) | const

Returns the last engine output field touched by notification.

## getTimeStamp()

SbUniqueId SoNotList::getTimeStamp | ( | void |  | ) | const

Returns the time stamp when the notification started.

## print()

void SoNotList::print | ( | FILE *const | file = stdout | ) | const

Dump contents of list from tail record and backwards. Only available if compiled with debug information on.

The documentation for this class was generated from the following files:

- SoNotification.h
- SoNotification.cpp